# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from List.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Aliasfile = "/etc/aliases";
my $EmailVirtUser = "/etc/virtusertable";
my $Majordomo_aliases = "/etc/aliases.majordomo";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/List.pm.  Changes made here will be lost.
package Cobalt::List;

sub alias_exist
# Does the given alias exist?
# Arguments: alias name
# Return value: true if it does, false if it doesn't
{
    my ($alias, $group) = @_;
    my $majordomo_alias = $alias . '_' . $group;
    my $vsite_name = (vsite_get_bygroup($group))[1];
    my $email_alias = "$alias\@$vsite_name";
    return 1 if (Cobalt::List::email_alias_exist_in_file($email_alias, $EmailVirtUser));
    return 1 if (Cobalt::List::alias_exist_in_file($alias, $Aliasfile));
    return Cobalt::List::alias_exist_in_file($majordomo_alias, $Majordomo_aliases);
}


1;
