# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Email.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Lockdir = "/etc/locks";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Email.pm.  Changes made here will be lost.
package Cobalt::Email;

# Due to problems with reading and writing large number
# of users and relays.  need a lock at higher level than
# in mail_build_virtusertable.
sub get_virtuser_lock
{

    my $lockfile = "$Lockdir/virtuser_lockfile";

    sleep 2 if (-e $lockfile );             # make an attempt to wait for it
    return 0 if ( -e $lockfile );           # give up
    
    open( LOCKFILE, "> $lockfile" )
	|| return 0;
    
    close(LOCKFILE);

    return 1;  # success
    
}


1;
