# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Email.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Lcdshowscript = "/etc/rc.d/init.d/showip";
my $Mailscript = "/etc/rc.d/init.d/sendmail";
my $Sauce_log = "/var/cobalt/sauce.log";
my $Sendmail_pidfile = "/var/run/sendmail.pid";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Email.pm.  Changes made here will be lost.
package Cobalt::Email;

sub mail_sendmail_hup
# Sends sendmail a HUP so it rereads its configuration
# Arguments: none
# Side effects: kill -HUP's sendmail
# Return value: none
{
  return if (! -e $Sendmail_pidfile);  # if it's not running, don't HUP...
    open( PID, "<$Sendmail_pidfile" ) || return;
    my $pid=<PID>;
    close( PID );

    chomp $pid;


  # Change to stop and start since sendmail was dieing with multiple
  # HUP sent in short amount of time.
  system("$Mailscript stop  >> $Sauce_log 2>&1");
  system("$Mailscript start >> $Sauce_log 2>&1"); 
  system ("$Lcdshowscript start >> $Sauce_log 2>&1")
            if (-x $Lcdshowscript);
}


1;
