# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Legato.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Networker_config = "/etc/sysconfig/legato";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Legato.pm.  Changes made here will be lost.
package Cobalt::Legato;

# legato_get_serveraddr
#
# returns the legato servername and ip in the form (hostname, ipaddr)
#
sub legato_get_serveraddr {
  my $dnsname = '';
  my $ipaddr = '';

  # edit the legato config file
  open(CONF, $Networker_config);
  while (<CONF>) {
    if (/^LEGATO_SERVER=(.*)\n$/) {
      $dnsname = $1;
    } elsif (/^LEGATO_IP=(.*)\n$/) {
      $ipaddr = $1;
    }
  }
  close(CONF);
  
  return ($dnsname, $ipaddr);
}


1;
