# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from List.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/List.pm.  Changes made here will be lost.
package Cobalt::List;

sub email_alias_exist_in_file
# Does the given alias exist in this file?
# Arguments: alias name, file name
# Return value: true if it does, false if it doesn't
{
    my ($alias, $file) = @_;
    return 0 if (! -e $file);
    open(ALIAS, $file) ||
	return("4346 Cannot read from $file: $!");
    while (<ALIAS>) {
	if (/^s*(\S+)\s*(.*)$/o) {
	    if  ($alias eq $1) {
		close ALIAS;
		return 1;
	    }
	}
    }
    close ALIAS;
    return 0;
}


1;
