# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Vsite.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Userdir = "/home/sites";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Vsite.pm.  Changes made here will be lost.
package Cobalt::Vsite;

sub vsite_getgroup
# Given a user name, figure out what site they are associated with
# Arguments: user name
# Return value: site group name
# Side effects: none
{
    my ($user) = @_;
    my ($site);
    my ($home) = (getpwnam($user))[7];
    if ($home =~ /^$Userdir\/([\w\-\.]+)/o) {
	$site = $1;
    }

    # verify that the user is a member of the site
    if (grep /^$user$/, list_get_mem("${site}-users")) {
	return $site;
    }
    return "";
}


1;
